This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 526852

Summary: RFE: Please update phoronix-test-suite to latest version
Product: [Fedora] Fedora Reporter: Valent Turkovic <valent.turkovic>
Component: phoronix-test-suiteAssignee: Markus Mayer <LotharLutz>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: b.bellec, josephsmidt, LotharLutz, lubek, marbolangos, misek, mzdunek, req1348, tpr
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-11-03 03:48:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Valent Turkovic 2009-10-02 01:09:17 EDT
Description of problem:
Current version of phoronix-test-suite 1.8 in Fedora 11 is a bit obsolete, there is a newer 2.0 version out:
http://www.phoronix-test-suite.com/?k=changes_20

Also some suites aren't downloading with current 1.8 version, I guess this will be fixed with updating phoronix-test-suite to latest version.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Valent Turkovic 2009-10-28 13:38:14 EDT
http://www.phoronix.com/scan.php?page=article&item=pts_22_beta1&num=1

Currently there is a Phoronix Test Suite version 2.2 beta.

Even if it is in "beta" it is much more usable than current version that is in Fedora repository because the version that is in Fedora repos it so obsolete that most of test suites even fail to download and because of that is is not too useful :(
Comment 2 Teemu Rytilahti 2009-11-22 19:45:59 EST
I just updated the package for 2.2.0, here are the updated files if someone wants to try it:
http://stetson.frozenhat.fi/~tpr/fedora/phoronix-test-suite-2.2.0-1.fc12.src.rpm
http://stetson.frozenhat.fi/~tpr/fedora/phoronix-test-suite.spec

Tested on F11 and F12 (x86_64), but can't guarantee that everything is ok. Updated the list of required packages, but removed the .desktop file as we can't have UI without PHP-GTK, which apparently is broken for PHP 5.3...
Comment 3 Valent Turkovic 2010-03-07 08:50:45 EST
In Fedora 12 Phoronix test suite is still at 1.8 version. Could you update it please?
Comment 4 Vaclav "sHINOBI" Misek 2010-05-02 05:35:12 EDT
The stable one is 2.4 and 2.6 will be released soon.
Comment 5 Vaclav "sHINOBI" Misek 2010-05-02 12:13:51 EDT
I updated the package to 2.6.0 beta 1, I used modified specs from Teemu

http://aukro.panthernet.cz/phoronix-test-suite.spec
http://aukro.panthernet.cz/phoronix-test-suite-2.6.0b1-1.fc13.src.rpm

Mock build works correctly. Is the package maintainer still present?
Comment 6 Valent Turkovic 2010-10-27 03:52:25 EDT
I managed to get all components needed for Phoronix test suite installed but still have one issue.


# phoronix-test-suite gui
shell-init: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
pwd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
pwd: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
/usr/bin/phoronix-test-suite: line 28: [: /usr/share/phoronix-test-suite: unary operator expected


You need two packages that aren't in Fedora, php-gtk, but php-gtk also has it's dependency - pecl-cairo


Here is how I got all components built.


su -c "yum install php-cli php-devel make gcc gtk2-devel svn"

svn co http://svn.php.net/repository/pecl/cairo/trunk pecl-cairo
cd pecl-cairo/
phpize
./configure
make
su -c "make install"

cd ..

svn co http://svn.php.net/repository/gtk/php-gtk/trunk php-gtk
cd php-gtk
./buildconf
./configure
make
su -c "make install"

cd ..

wget http://www.phoronix-test-suite.com/download.php?file=phoronix-test-suite-2.8.1
tar xvzf phoronix-test-suite-2.8.1.tar.gz
cd phoronix-test-suite
su -c "./install-sh"

So please take where I left to get Phoronix test suite running on Fedora.
Comment 7 Vaclav "sHINOBI" Misek 2010-10-31 07:27:30 EDT
There was no response from Joseph Smidt, should we initiate Non-responsive Maintainer process?
I tried to mail him personally to his gmail account, with no response. Unfortunately I was busy and forgot to finish this.
Comment 8 Lubos Stanek 2010-11-08 17:51:46 EST
Is it really so difficult to kick the gui part out of the package?
The gui part is useless in serious benchmarking anyway.

After inspecting the installed files, I would simply:
%exclude %{_datadir}/applications/%{name}.desktop
%exclude %{_datadir}/icons/%{name}.png
%exclude %{_datadir}/%{name}/pts-core/modules/gui_gtk_events.php
%exclude %{_datadir}/%{name}/pts-core/library/pts-includes-gtk.php
%exclude %{_datadir}/%{name}/pts-core/library/pts-includes-gui.php
%exclude %{_datadir}/%{name}/pts-core/options/gui_gtk.php
in the latest 2.8.1 installation.

I would bet that Michael Larabel would appreciate some help with tests and testing in different environments.
There are definitely some issues in install scripts and troubles in 64 bit environments.

If there is some packager willing to do it of course.
Comment 9 Valent Turkovic 2010-11-09 15:54:40 EST
AFAIK there is no way of removing gui part, and no reason to do so, you just don't start it in GUI mode. For gui to work there are two packages missing in Fedora repos if they get added then gui will work.
Comment 10 Lubos Stanek 2010-11-09 17:09:03 EST
(In reply to comment #9)
> AFAIK there is no way of removing gui part, and no reason to do so, you just
> don't start it in GUI mode. For gui to work there are two packages missing in
> Fedora repos if they get added then gui will work.

The required packages will not get added, at least not in a near future. There are no package review requests concerning needed packages.

If the gui part is the only obstacle for providing a reasonably up to date benchmarking suite in Fedora, I vote for removing it.

The gui part works even in Fedora of course.
https://docs.google.com/uc?id=0B5VViCOvu_VpMTVlZDRmOTYtNTRiYS00MmZjLWFmYzItY2EyZmU1ZDEyNDIz&authkey=CKG1gMoN&hl=cs
But the Fedora guidelines and policies and the necessary effort to maintain the dependencies eventually exclude this possibility.

Moreover there is probably no gui in the development version in the Michael's Git.
Comment 11 Valent Turkovic 2010-11-20 15:57:32 EST
Manually compiling needed packages is not such big deal so until there are php-gtk and pecl-cairo packages in Fedora there are a few steps to make GUI run but it is not too hard to do.

Just please update the package to latest version and just leave everything in so that users can enable GUI afterwards.

Thanks.
Comment 12 Dario Castellarin 2011-02-27 13:05:15 EST
PTS 3.0 is out, that package is clearly abandoned, someone willing to maintain it should start an unresponsive maintainer procedure http://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers
Comment 13 Markus Mayer 2011-08-30 13:22:38 EDT
Hi,

I have initiated an unresponsive maintainer procedure ( rhbz #734530 ). If the maintainer is not responding I will take care of updating phoronix-test-suite
Comment 14 Benjamin Bellec 2011-08-30 13:29:36 EDT
> If the
maintainer is not responding I will take care of updating phoronix-test-suite

Nice!
Comment 15 Fedora Admin XMLRPC Client 2011-09-08 13:33:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Markus Mayer 2011-09-10 08:04:01 EDT
The new package of phoronix-test-suite is ready. It must be review bacause it was deprecated in F16 and devel.

If someone is willing to do the review, here is the link:
https://bugzilla.redhat.com/show_bug.cgi?id=737263
Comment 17 Valent Turkovic 2011-10-24 05:39:26 EDT
Any news of this package update? I can't find any mention of phoronix test suite in rawhide repos...
Comment 18 Markus Mayer 2011-11-03 03:48:24 EDT

*** This bug has been marked as a duplicate of bug 737263 ***